package com.sw.mes.yb.mcs.utils;

import lombok.Data;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-12 20:05
 */
@Data
public class ResultDto<T> {
    Integer status;
    T data;
    String message;
    Integer code;

    ResultDto(){}

    ResultDto(Integer status,T data,String message){
        this.status=status;
        this.data=data;
        this.message=message;
    }

    public ResultDto(Integer status, T data, String message, Integer code) {
        this.status = status;
        this.data = data;
        this.message = message;
        this.code = code;
    }
}